const prod = process.env.NODE_ENV === 'production'

module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    'plugin:vue/strongly-recommended',
    'plugin:vue-a11y/base',
    'eslint:recommended',
    '@vue/standard'
  ],
  plugins: [
    'vue-a11y'
  ],
  parserOptions: {
    parser: 'babel-eslint'
  },
  rules: {
    'no-console': prod ? 'warn' : 'off',
    'no-debugger': prod ? 'warn' : 'off',
    'vue/max-attributes-per-line': [
      'error',
      {
        singleline: 3,
        multiline: { max: 3, allowFirstLine: true }
      }
    ],
    'no-irregular-whitespace': 'off',
    'no-unused-vars': 'warn',
    'no-multiple-empty-lines': ['error', { max: 2 }]
  }
}
